### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig
  commentId: T:adas_core.Domain.Models.MongoModels.AlarmConfig
  id: AlarmConfig
  parent: adas_core.Domain.Models.MongoModels
  children:
  - adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig
  - adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon
  - adas_core.Domain.Models.MongoModels.AlarmConfig.Color
  - adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled
  - adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter
  - adas_core.Domain.Models.MongoModels.AlarmConfig.Name
  - adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor
  - adas_core.Domain.Models.MongoModels.AlarmConfig.Priority
  - adas_core.Domain.Models.MongoModels.AlarmConfig.Recording
  langs:
  - csharp
  - vb
  name: AlarmConfig
  nameWithType: AlarmConfig
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmConfig
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 7
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  summary: Represents the configuration settings for an alarm.
  example: []
  syntax:
    content: public class AlarmConfig
    content.vb: Public Class AlarmConfig
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Name
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.Name
  id: Name
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: Name
  nameWithType: AlarmConfig.Name
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Name
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Name
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 9
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Name { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Name As String
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.Name*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled
  id: Enabled
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: Enabled
  nameWithType: AlarmConfig.Enabled
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Enabled
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 10
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public bool Enabled { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Enabled As Boolean
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter
  id: EndAfter
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: EndAfter
  nameWithType: AlarmConfig.EndAfter
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: EndAfter
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 11
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public int EndAfter { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property EndAfter As Integer
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Recording
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.Recording
  id: Recording
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: Recording
  nameWithType: AlarmConfig.Recording
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Recording
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Recording
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public AlarmItem? Recording { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.MongoModels.AlarmItem
    content.vb: Public Property Recording As AlarmItem
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.Recording*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon
  id: Beacon
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: Beacon
  nameWithType: AlarmConfig.Beacon
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Beacon
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 13
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public AlarmItem? Beacon { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.MongoModels.AlarmItem
    content.vb: Public Property Beacon As AlarmItem
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor
  id: OpenDoor
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: OpenDoor
  nameWithType: AlarmConfig.OpenDoor
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: OpenDoor
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 14
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public AlarmItem? OpenDoor { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.MongoModels.AlarmItem
    content.vb: Public Property OpenDoor As AlarmItem
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Priority
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.Priority
  id: Priority
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: Priority
  nameWithType: AlarmConfig.Priority
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Priority
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Priority
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 15
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public int? Priority { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Int32}
    content.vb: Public Property Priority As Integer?
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.Priority*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Color
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.Color
  id: Color
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: Color
  nameWithType: AlarmConfig.Color
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Color
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Color
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Color { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Color As String
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.Color*
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig
  commentId: P:adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig
  id: AudioConfig
  parent: adas_core.Domain.Models.MongoModels.AlarmConfig
  langs:
  - csharp
  - vb
  name: AudioConfig
  nameWithType: AlarmConfig.AudioConfig
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/AlarmConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AudioConfig
    path: ../../adas-core.Domain/Models/MongoModels/AlarmConfig.cs
    startLine: 17
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public AudioConfig? AudioConfig { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.MongoModels.AudioConfig
    content.vb: Public Property AudioConfig As AudioConfig
  overload: adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig*
references:
- uid: adas_core.Domain.Models.MongoModels
  commentId: N:adas_core.Domain.Models.MongoModels
  href: adas_core.html
  name: adas_core.Domain.Models.MongoModels
  nameWithType: adas_core.Domain.Models.MongoModels
  fullName: adas_core.Domain.Models.MongoModels
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Name*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.Name
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_Name
  name: Name
  nameWithType: AlarmConfig.Name
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Name
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_Enabled
  name: Enabled
  nameWithType: AlarmConfig.Enabled
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Enabled
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_EndAfter
  name: EndAfter
  nameWithType: AlarmConfig.EndAfter
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.EndAfter
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Recording*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.Recording
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_Recording
  name: Recording
  nameWithType: AlarmConfig.Recording
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Recording
- uid: adas_core.Domain.Models.MongoModels.AlarmItem
  commentId: T:adas_core.Domain.Models.MongoModels.AlarmItem
  parent: adas_core.Domain.Models.MongoModels
  href: adas_core.Domain.Models.MongoModels.AlarmItem.html
  name: AlarmItem
  nameWithType: AlarmItem
  fullName: adas_core.Domain.Models.MongoModels.AlarmItem
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_Beacon
  name: Beacon
  nameWithType: AlarmConfig.Beacon
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Beacon
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_OpenDoor
  name: OpenDoor
  nameWithType: AlarmConfig.OpenDoor
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.OpenDoor
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Priority*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.Priority
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_Priority
  name: Priority
  nameWithType: AlarmConfig.Priority
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Priority
- uid: System.Nullable{System.Int32}
  commentId: T:System.Nullable{System.Int32}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int?
  nameWithType: int?
  fullName: int?
  nameWithType.vb: Integer?
  fullName.vb: Integer?
  name.vb: Integer?
  spec.csharp:
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
  spec.vb:
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.Color*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.Color
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_Color
  name: Color
  nameWithType: AlarmConfig.Color
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.Color
- uid: adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig*
  commentId: Overload:adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig
  href: adas_core.Domain.Models.MongoModels.AlarmConfig.html#adas_core_Domain_Models_MongoModels_AlarmConfig_AudioConfig
  name: AudioConfig
  nameWithType: AlarmConfig.AudioConfig
  fullName: adas_core.Domain.Models.MongoModels.AlarmConfig.AudioConfig
- uid: adas_core.Domain.Models.MongoModels.AudioConfig
  commentId: T:adas_core.Domain.Models.MongoModels.AudioConfig
  parent: adas_core.Domain.Models.MongoModels
  href: adas_core.Domain.Models.MongoModels.AudioConfig.html
  name: AudioConfig
  nameWithType: AudioConfig
  fullName: adas_core.Domain.Models.MongoModels.AudioConfig
